# CLPrintfCallback (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLPrintfCallback

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLPrintfCallback

All Implemented Interfaces:
  PointerWrapper

    public abstract class CLPrintfCallback

extends PointerWrapperAbstract

Instances of this class can be used to receive OpenCL printf messages. Different CLContexts should use different CLPrintfCallback instances.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Constructor Summary
`protected` `CLPrintfCallback()`

Method Summary
`protected abstract void` `handleMessage(java.lang.String data)` The callback method.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLPrintfCallback

    protected CLPrintfCallback()

Method Detail

### handleMessage

    protected abstract void handleMessage(java.lang.String data)

  The callback method.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.